Bug 458655 - Review Request: perl-Text-Table - Organize Data in Tables
Review Request: perl-Text-Table - Organize Data in Tables
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 458654
Blocks: 458653
  Show dependency treegraph
 
Reported: 2008-08-11 08:05 EDT by Marcela Mašláňová
Modified: 2008-09-01 02:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-01 02:38:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2008-08-11 08:05:47 EDT
Organization of data in table form is a time-honored and useful method of data representation. While columns of data are trivially generated by computer through formatted output, even simple tasks like keeping titles aligned with the data columns are not trivial, and the one-shot solutions one comes up with tend to be particularly hard to maintain. Text::Table allows you to create and maintain tables that adapt to alignment requirements as you use them.

http://mmaslano.fedorapeople.org/perl-Text-Table/perl-Text-Table-1.114-1.fc9.src.rpm
Comment 1 Parag AN(पराग) 2008-08-13 04:23:04 EDT
Review:
+ package builds in mock (rawhide i386).
http://koji.fedoraproject.org/koji/taskinfo?taskID=774918
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
ae0d69a743bc52a169dea6a07c301e06  Text-Table-1.114.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=2, Tests=166,  0 wallclock secs ( 0.03 usr  0.00 sys +  0.10 cusr  0.01 csys =  0.14 CPU)
+ Package perl-Text-Table-1.114-1.fc10 ->
Provides: perl(Text::Table) = 1.114
Requires: perl(Carp) perl(Exporter) perl(Text::Aligner) perl(strict) perl(warnings)

APPROVED.
Comment 2 Parag AN(पराग) 2008-08-29 03:20:02 EDT
ping?
Comment 3 Marcela Mašláňová 2008-08-29 03:40:47 EDT
Sorry, I was busy. Thank you for your review.
Comment 4 Marcela Mašláňová 2008-08-29 03:42:58 EDT
New Package CVS Request
=======================
Package Name: perl-Text-Table
Short Description: Organize Data in Tables
Owners: mmaslano
Branches: F-8 F-9
InitialCC: fedora-perl-devel-list@redhat.com
Comment 5 Kevin Fenzi 2008-08-30 17:06:03 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.